<!doctype html>
<html lang="fr">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Copier-coller et signets de recherche</title>

		<link rel="stylesheet" href="dist/reset.css">
		<link rel="stylesheet" href="dist/reveal.css">
		<link rel="stylesheet" href="dist/theme/unige.css">

		<!-- Theme used for syntax highlighted code -->
		<link rel="stylesheet" href="plugin/highlight/monokai.css">
	</head>
	<body>
		<div class="reveal">

			<!-- logo de l'université -->
			<footer class="footer">
				<img class="logo" src="img/logo-unige-rose.svg" />
			</footer>

			<div class="slides">

				<!-- Section 1 : présentation -->
				<section>
					<!-- 1 Titre -->
					<section>
						<h1>Copier-coller et signets de recherche</h1>
						<p>
							<small>
								Séance d'équipe &mdash;
								<time datetime="2022-09-01">
									2022-09-01
								</time> &mdash;
								<a href="https://codeberg.org/ignami/copy-paste-bookmarks"
									 title="Source du support de présentation"
									 hreflang="fr">
									sources
								</a>
							</small></p>
					</section>
					<!-- 2 Contexte -->
					<section>
						<h2>Contexte</h2>
						<ul>
							<li>Partage de techniques</li>
							<li>Court et léger</li>
						</ul>
					</section>
					<!-- 3 Plan -->
					<section>
						<h2>Plan</h2>
						<ol>
							<li>Gestionnaires d'historique de presse-papier</li>
							<li>Lancer des recherches avec des signets</li>
						</ol>
					</section>
				</section>

				<!-- Section 2 : presse-papier -->
				<section>
					<!-- 4 Historique -->
					<section>
						<h2>Historique de presse-papiers</h2>
						<ul>
							<li>Fonctionnalité de base</li>
							<li>Sur la plupart des systèmes d'exploitation</li>
							<li class="fragment" data-fragment-index="0">
								Permet de gagner du temps
							</li>
							<li class="fragment" data-fragment-index="0">
								Peut améliorer confort
							</li>
						</ul>
					</section>
					<!-- 5 Activer dans Windows -->
					<section>
						<h2>Paramétrer Windows</h2>
						<ul>
							<li><em>Paramètres / Système / Presse-papiers</em></li>
							<li>Ou <code>&lsaquo;windows&rsaquo;+"press…"</code></li>
							<li>Et activer l'historique du presse-papiers</li>
						</ul>
					</section>
					<!-- 6 Fonctionnement -->
					<section>
						<h2>Copier et sélectionner</h2>
						<ul>
							<li><code>ctrl+c</code></li>
							<li><code>&lsaquo;windows&rsaquo;+u</code>
								et sélectionner avec la souris ou les flèches
							</li>
							<li>
								Menu <code>…</code> pour : épingler, effacer, tout effacer
							</li>
						</ul>
					</section>
					<!-- 7 CopyQ -->
					<section>
						<h2>Application dédiée</h2>
						<ul>
							<li>La fonction native suffisante</li>
							<li class="fragment" data-fragment-index="0">
								Mais a des limites :
							</li>
							<ul class="fragment" data-fragment-index="0">
								<li>
									Taille de l'historique
								</li>
								<li>
									Édition, étiquettes, notes, recherche…
								</li>
							</ul>
							</li>
					</section>
					<!-- 8 CopyQ -->
					<section>
						<h2>Application dédiée : CopyQ</h2>
						<p class="text-left"><em>CopyQ</em> n'est qu'un des
							utilitaires <em>libres</em> pour Windows (et Linux et Mac OS)
							parmi d'autres.</p>
						<ul class="fragment">
							<li>Site officiel :
								<a href="https://hluk.github.io/CopyQ/"
									 title="site officiel de CopyQ"
                   hreflang="en"
                   lang="en">hluk.github.io/CopyQ</a>
							</li>
							<li>Installer :
								<ol>
									<li><a href="https://github.com/hluk/CopyQ/releases/latest"
								         title="Accès à la dernière version publiée sur Github"
				                 hreflang="en"
                         lang="en">github.com/hluk/CopyQ/releases/latest</a>
									</li>
									<li>Télécharger le <code>copyq-x.x.x-setup.exe</code></li>
								</ol>
							</li>
						</ul>
					</section>
					<!-- 9 CopyQ : paramétrage de base -->
					<section>
						<h2>CopyQ : paramétrage de base</h2>
						<ul>
							<li><em>Fichier / Préférences :</em></li>
							<ul>
								<li><em>Historique</em> : Configurer la taille de l'historique</li>
								<li><em>Raccourcis</em> : Ajouter un raccourci dans l'onglet
									<em>Global</em> pour <em>Afficher / masquer la fenêtre
										principale</em>
								</li>
							</ul>
						</ul>
					</section>
				</section>

				<!-- Section 3 : signets pour la recherche -->
				<section>
					<!-- 10 Des signets avec mots-clé pour lancer des recherches -->
					<section>
						<h2>Accélérer les recherches</h2>
						<ul>
							<li>Grâce à la barre d'adresse</li>
							<li>Avec des mots-clés</li>
							<li>Raccourci pour la barre d'adresse ?</li>
							<li class="fragment">
								<code>ctrl+l</code> ou <code>alt+d</code>
							</li>
						</ul>
					</section>
					<!-- 11 Les moteurs de recherche -->
					<section>
						<h2>Les moteurs de recherche</h2>
						<ul>
							<li><em>Paramètres / Recherche / Raccourcis de recherche</em></li>
							<li>Liste d'outils avec des mots-clés</li>
							<li>Modifier un mot-clé existant</li>
						</ul>
					</section>	
					<!-- 12 Ajouter un mot-clé pour une recherche -->
					<section>
						<h2>Recherche avec mot-clé</h2>
						<p>À l'aide de l'interface :</p>
						<ul>
							<li>Clic droit dans un champ de recherche</li>
							<li><em>Ajouter un mot clé pour cette recherche…</em></li>
						</ul>
					</section>	
					<!-- 13 Ajouter un mot-clé pour une recherche manuellement -->
					<section>
						<h2>Recherche avec mot-clé</h2>
						<p>Manuellement, si :</p>
						<ul>
							<li>Le résultat n'est pas satisfaisant</li>
							<li>La fonctionnalité n'est pas disponible</li>
						</ul>
					</section>	
					<!-- 14 Ajouter un mot-clé pour une recherche manuellement -->
					<section>
						<h2>Recherche avec mot-clé, manuellement</h2>
						<ol>
							<li>Lancer une recherche et copier l'URL</li>
							<li>Créer un bookmark avec cette URL</li>
							<li>Observer l'URL de la requête</li>
							<li>Changer le contenu de la requête par <code>%s</code></li>
							<li>Attribuer un mot-clé</li>
						</ol>
					</section>
					<!-- 15 Avantages des signets sur les moteurs -->
					<section>
						<h2>Avantages des signets sur les moteurs</h2>
						<ul>
							<li>Synchronisés avec Firefox Sync</li>
							<li>Fonctionnent même si le champ n'est pas reconnu</li>
							<li>Peuvent être paramétrés finement</li>
						</ul>
					</section>
				</section>

				<!-- section 4 : merci -->
				<section>
					<h2 class="r-fit-text">MERCI</h2>
					<p>Pour votre attention</p>
					<p><a href="https://ignami.codeberg.page/copy-paste-bookmarks"
								title="URL de la présentation"
								hreflang="fr">
							ignami.codeberg.page/copy-paste-bookmarks</a>
					</p>
				</section>

		  </div>
	  </div>

		<script src="dist/reveal.js"></script>
		<script src="plugin/notes/notes.js"></script>
		<script src="plugin/markdown/markdown.js"></script>
		<script src="plugin/highlight/highlight.js"></script>
		<script src="plugin/zoom/zoom.js"></script>
		<script>
			// More info about initialization & config:
			// - https://revealjs.com/initialization/
			// - https://revealjs.com/config/
			Reveal.initialize({
				hash: true,
				slideNumber: 'c/t',

				// Learn about plugins: https://revealjs.com/plugins/
				plugins: [ RevealMarkdown, RevealHighlight, RevealNotes, RevealZoom, ]
			});
		</script>
	</body>
</html>
